#include <stddef.h>
#include <tiny-re/compat.h>

/* 0 success, REG_NOMATCH failure */

int tiny_regexec(regex_t *preg, char *string, size_t nmatch,
    regmatch_t *pmatch, int eflags)
{
    int offset, length, retval;
    offset = re_matchp(preg, string, &length);
    if (offset == -1) {
        retval = REG_NOMATCH;
    } else {
        retval = 0;
	if (pmatch != NULL) {
	        pmatch->rm_so = offset;
	        pmatch->rm_eo = offset + length;
	}
    }
    return retval;
}
